<!doctypehtml>
<html lang=en-us>

<head>
    <meta charset=utf-8>
    <meta content="text/html; charset=utf-8" http-equiv=Content-Type>
    <style>
        html {
          font-family: 'Verdana';
          height: 100%;
        }

        body {
            margin: 0;
            padding: none;
            height: 100%;
        }

        .emscripten {
            padding-right: 0;
            margin-left: auto;
            margin-right: auto;
            /* display: inline-block; */
        }

        div.emscripten {
            text-align: center
        }

        div.emscripten_border {
            border: 1px solid #000
        }

        canvas.emscripten {
            border: 0 none;
            background-color: #000
        }

        #emscripten_logo {
            display: inline-block;
            margin: 0
        }

        .spinner {
            height: 30px;
            width: 30px;
            margin: 0;
            margin-top: 20px;
            margin-left: 20px;
            display: inline-block;
            vertical-align: top;
            -webkit-animation: rotation .8s linear infinite;
            -moz-animation: rotation .8s linear infinite;
            -o-animation: rotation .8s linear infinite;
            animation: rotation .8s linear infinite;
            border-left: 5px solid #ebebeb;
            border-right: 5px solid #ebebeb;
            border-bottom: 5px solid #ebebeb;
            border-top: 5px solid #787878;
            border-radius: 100%;
            background-color: #bdd72e
        }

        @-webkit-keyframes rotation {
            from {
                -webkit-transform: rotate(0)
            }
            to {
                -webkit-transform: rotate(360deg)
            }
        }

        @-moz-keyframes rotation {
            from {
                -moz-transform: rotate(0)
            }
            to {
                -moz-transform: rotate(360deg)
            }
        }

        @-o-keyframes rotation {
            from {
                -o-transform: rotate(0)
            }
            to {
                -o-transform: rotate(360deg)
            }
        }

        @keyframes rotation {
            from {
                transform: rotate(0)
            }
            to {
                transform: rotate(360deg)
            }
        }

        #status {
            display: inline-block;
            vertical-align: top;
            margin-top: 30px;
            margin-left: 20px;
            font-weight: 700;
            color: #787878
        }

        #progress {
            height: 20px;
            width: 300px
        }

        #controls {
            display: inline-block;
            float: right;
            vertical-align: top;
            margin-top: 30px;
            margin-right: 20px
        }

        #output {
            width: 100%;
            height: 200px;
            margin: 0 auto;
            margin-top: 10px;
            border-left: 0;
            border-right: 0;
            padding-left: 0;
            padding-right: 0;
            display: block;
            background-color: #000;
            color: #fff;
            font-family: 'Helvetica';
            outline: 0
        }

        .container {
          display: inline-flex;
          flex-direction: column;
          justify-content: center;
          align-items: center;
          width: 100%;
          height: 100%;
        }

        .canvasContainer {
          display: flex;
          height: 602px;
        }

        .canvasContainer div {
          margin-left: 18px;
        }

        .canvasContainer p {
          font-size: 17px;
          line-height: 1.5;
          margin: 0;
        }

        .canvasContainer a {
          position: relative;
          font-size: 17px;
        }
    </style>
</head>
<body>
    <div class="container">
      <div class=emscripten><progress hidden id=progress max=100 value=0></progress></div>
      <div class="canvasContainer">
        <div class="emscripten_border"><canvas class=emscripten id=canvas oncontextmenu=event.preventDefault() tabindex=-1></canvas></div>
        <div style="width: 480px;">
          <p style="display: inline-block; font-size: 24px;"><b>OpenBlocks&nbsp;</b></p>
          <a href="https://gitlab.com/abdelmalek.ihdene/openblocks">[Gitlab Repository]</a>
          <p style="margin-top: 36px;">A 3D [Minecraft] voxel-based engine powered<br>by OpenGL ES 3.0, SDL2 and GLM<p>
          <p style="margin-top: 36px;"><b>Features:</b></p>
          <p style="">• Infinite chunk generation using <b>Simplex Noise</b><br>• Block collision detection and player physics<br>• Optimal chunk rendering through <b>Frustrum Culling</b><br>• Dynamic and translucent water surface</p>
          <p style="margin-top: 36px;"><b>Instructions:</b></p>
          <p style="">• Hide the cursor by clicking on<br>the screen and pressing <b>ESC</b><br>• Move with <b>W, A, S, D</b><br>• Jump with <b>SPACE</b><br>• Toggle gravity with <b>SHIFT</b></p>
        </div>
      </div>
    </div>
    <!-- <textarea id=output rows=8></textarea> -->
    <script>
        var
        // statusElement = document.getElementById("status"),
            // progressElement = document.getElementById("progress"),
            // spinnerElement = document.getElementById("spinner"),
            Module = {
                preRun: [],
                postRun: [],
                print: function() {
                    var e = document.getElementById("output");
                    return e && (e.value = ""),
                        function(t) {
                            arguments.length > 1 && (t = Array.prototype.slice.call(arguments).join(" ")), console.log(t), e && (e.value += t + "\n", e.scrollTop = e.scrollHeight)
                        }
                }(),
                printErr: function(e) {
                    arguments.length > 1 && (e = Array.prototype.slice.call(arguments).join(" ")), console.error(e)
                },
                canvas: function() {
                    var e = document.getElementById("canvas");
                    return e.addEventListener("webglcontextlost", (function(e) {
                        alert("WebGL context lost. You will need to reload the page."), e.preventDefault()
                    }), !1), e
                }(),
                // setStatus: function(e) {
                //     if (Module.setStatus.last || (Module.setStatus.last = {
                //             time: Date.now(),
                //             text: ""
                //         }), e !== Module.setStatus.last.text) {
                //         var t = e.match(/([^(]+)\((\d+(\.\d+)?)\/(\d+)\)/),
                //             n = Date.now();
                //         t && n - Module.setStatus.last.time < 30 || (Module.setStatus.last.time = n, Module.setStatus.last.text = e, t ? (e = t[1], progressElement.value = 100 * parseInt(t[2]), progressElement.max = 100 * parseInt(t[4]), progressElement.hidden = !1, spinnerElement.hidden = !1) : (progressElement.value = null, progressElement.max = null, progressElement.hidden = !0, e || (spinnerElement.style.display = "none")), statusElement.innerHTML = e)
                //     }
                // },
                totalDependencies: 0,
                // monitorRunDependencies: function(e) {
                //     this.totalDependencies = Math.max(this.totalDependencies, e), Module.setStatus(e ? "Preparing... (" + (this.totalDependencies - e) + "/" + this.totalDependencies + ")" : "All downloads complete.")
                // }
            };
        // Module.setStatus("Downloading..."), window.onerror = function(e) {
        //     Module.setStatus("Exception thrown, see JavaScript console"), spinnerElement.style.display = "none", Module.setStatus = function(e) {
        //         e && Module.printErr("[post-exception status] " + e)
        //     }
        // }
    </script>
    <script async src=index.js></script>
</body>

</html>
